Installation

Zend Server 6.3 supports both new installations and upgrades from Zend Server 5.6, 6.0.1, 6.1 and 6.2. Upgrading from a version prior to 5.6 is not supported. If you would like to upgrade a Zend Server that's older than 5.6, you should first upgrade to 5.6, and only then upgrade to 6.3.

On Linux, starting with version 6, the recommended way to install a new, or upgrade an existing, Zend Server installation is using the supplied script. The script ensures that the correct repositories are set, verifies system requirements and issues the correct package management commands to set Zend Server up properly. While it’s still possible to install Zend Server by manually setting up repositories, we advise always using the installation script.

For detailed installation instructions for all supported operating systems, please refer to the Zend Server Installation Guide

 

Limitations and Known Issues

The following issues are known at the time of the 6.3 release:

General

  • On Windows, when using MySQL (typically in clustering mode), the UI requires the pdo_mysql extension to be enabled
  • If the UI fails to initialize a session, no error will be displayed (ZSRV-8912). Consult the ui’s php error log for resolving this problem
  • Zend Server cannot communicate with MySQL databases that are configured with old_passwords=1 (ZSRV-8104)
  • sqlsrv - not supported for php 5.5
  • Every job is created with priority status 2 in the db, and displayed in UI with priority status “normal”, but with “high” on job details (ZSRV-12044)
  • Zend Server cannot communicate with MySQL databases that are configured with old_passwords=1 (ZSRV-8104)
  • WebAPI requests made explicitly to http://ServerName/ZendServer/index.php will fail. Instead, use http://ServerName/ZendServer/ (ZSRV-5735)
  • CLI Tools have undergone substantial changes since version 5.6. zs_setup script has been removed, and there have been changes to the flow of commands. For further information, see the Zend Server User Guide.
  • Misconfiguring LDAP authentication can result in the user being locked out of their Zend Server console. If this occurs, reset your Zend Server password. For more information, see the Zend Server User Guide.
  • Session Clustering does not support value=6 for the php.ini directive session.hash_bits_per_character (the Zend Server UI does not currently warn about this issue).
  • Nginx Deployment: deploying to the root of the default virtual host does not work out-of-the-box and causes configuration problems (ZSRV-10098). Workaround: comment out the location / entry in /etc/nginx/conf.d/default.conf 

          #location / {
          # include /etc/nginx/fastcgi.conf;
          #
          # root /usr/share/nginx/html;
          #
          # index index.php index.html index.htm;
          # }
  • A ZF2 project deployed through Zend Studio on Nginx gives error 404 when the user attempts to open it (ZSRV-10532)

Upgrade & Installation Related

  • Installation on ubuntu13.10 with Apache 2.2 is not supported (ZSRV-12049)
  • ZS 6.x to 6.3.0 Windows Cluster Upgrade with PHP change: Deployment Daemon may stop functioning on some of the nodes. Workaround: manually restart the Deployment daemon from GUI (ZSRV-12052)
  • Upgrade of ZS old -> ZS 6.3 with PHP change on Windows: reset configuration may not work. Use export/import configuration instead (ZSRV-12048)
  • Upgrade of ZS old -> ZS 6.3 with PHP change Windows Cluster: Some UI operations may hang on server polling. Workaround: clear the ZSD_TASKS table in the Zend DB (ZSRV-12048)
  • RPM Double Upgrade (e.g. ZS 5.6.0 PHP 5.3 -> ZS 6.0.1 PHP 5.4 -> ZS 6.3.0 PHP 5.4 ) - PHP directive values are not kept (ZSRV-12019)
  • ZS 5.6 -> ZS 6.3.0 Windows Upgrade: some extensions should be built-in but they're enabled instead (ZSRV-11916)
  • ZS 5.6 -> ZS 6.x Upgrade: PDO_OCI support is dropped. May show errors on the servers page about missing PDO extension (ZSRV-11873)
  • When upgrading from PHP 5.3 to 5.4, configuration settings (php.ini) are not retained.
  • When upgrading from Zend Server 5.6, extension status is not retained (which extensions should be loaded and which ones should not be loaded). (ZSRV-9255)
  • Due to changes in the Monitoring rule engine, Monitor Rules & Code Tracing settings are not kept when upgrading from Zend Server 5.6 (ZSRV-9140)
  • Upgrading to ZS 6.3.0 including PHP upgrade in DEB : upgrade fails as of php-5.x-java-bridge-zend-server unmet dependencies - workaround: remove java-bridge , then upgrade (ZSRV-10436)
  • When installing under SE Linux on RHEL/CentOS, Zend Server must be manually restarted after installation.  This is in order to exit the RPM context which the processes are started with during installation.
  • After upgrade to 6.3, cannot import Exported Configuration from 6.0.1 or earlier (ZSRV-10773).
  • Upgrading to ZS 6.3.0 with PHP upgrade, in Windows : license is reverted to the 7 day trial license (ZSRV-10885)

 

Notes: